Ubuntu One Cloud Icon Always Shows Exclamation Mark After Boot

Bug #498444 reported by Chris on 2009-12-19
650
This bug affects 191 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Undecided
Ubuntu One Client Engineering team
Nominated for Stable-1-0 by Dimitri John Ledkov
Nominated for Stable-1-2 by Dimitri John Ledkov

Bug Description

I am making this bug report as a master report for all bugs related with the applet being unable to signal syncdaemon to connect to ubuntuone service. The applet receives dbus timeout and it displays an exclamation mark.

This bug can be detected via the following line in oauth-login.log on applet startup:
2009-11-19 12:14:20,291:291.863918304 UbuntuOne.Client.Applet DBus Error: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

ProblemType: Bug
.home.christian..cache.ubuntuone.log.syncdaemon.exceptions.log:

.home.christian..config.ubuntuone.ubuntuone.client.conf:
 [ubuntuone]
 connected = True
 connect = 0
 show_applet = 1
 bookmarked = True
Architecture: i386
CrashDB: ubuntuone
Date: Sat Dec 19 09:07:05 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: ubuntuone-client 1.1+r273-0ubuntu1~ppa2~jaunty
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
SourcePackage: ubuntuone-client
ThirdParty: True
Uname: Linux 2.6.31-16-generic i686
XsessionErrors:
 (gnome-settings-daemon:2697): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:2697): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (polkit-gnome-authentication-agent-1:2725): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (nautilus:2719): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (gnome-panel:2718): Gdk-WARNING **: /build/buildd/gtk+2.0-2.18.3/gdk/x11/gdkdrawable-x11.c:952 drawable is not a pixmap or window

Chris (christian-kropfberger) wrote :
Bryan (cyprusxr3) wrote :

I also seem to be affected by this bug. Left clicking the icon shows "Your files are up to date." Icon shows with exclamation mark whether preferences are "Always" "Never" or "When Updating."

This is my first bug report, so let me know any more info I can add.

Roman Yepishev (rye) on 2009-12-26
tags: added: metadata-loading
Lionel Dricot (ploum) wrote :

This does not happen if I'm already connected when login in but I confirm this bug if your computer start to connect to a wifi after the GDM login.

Changed in ubuntuone-client:
status: New → Confirmed
Bryan (cyprusxr3) wrote :

In addition to Lionel's comment above, it seems the the problem does NOT occur (even) with a wifi connection if the preference is set to "Never" show at startup. If the preference is "only when updating" or "always" /w wifi at startup, or if it is changed after startup, the problem occurs.

Stuart Langridge (sil) on 2010-01-12
Changed in ubuntuone-client:
importance: Undecided → Medium
Roman Yepishev (rye) on 2010-01-27
tags: added: rtg-mdbr
Roman Yepishev (rye) wrote :

I am making this bug report as a master report for all bugs related with the applet being unable to signal syncdaemon to connect to ubuntuone service. The signal receives dbus timeout if metadata rescan does not happen in a timely fashion.

This bug can be detected via the following line in oauth-login.log on applet startup:
2009-11-19 12:14:20,291:291.863918304 UbuntuOne.Client.Applet DBus Error: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Useful info from bug #461614 (which original description is related to completely different issue):

Roman Yepishev wrote on 2009-11-13:
The bottom line is that ubuntuone-client-applet calls to syncdaemon do not complete in time under high system load.
In my case gnome starts trackerd applet, Empathy, Tomboy, indicator applets and everything competes for the CPU and disk.

Joshua Hoover wrote on 2009-11-18:
See http://irclogs.ubuntu.com/2009/11/13/%23ubuntuone.html#t17:53 for more info. It sounds like this happens when syncdaemon is working on a lot of metadata. There is supposed to be a bug for optimizing fixing the scanning of metadata but I was unable to find it so I'm leaving this comment on this bug as a reminder. :-)

Roman Yepishev wrote on 2009-12-02:
@Facundo Batista Re: "most probably syncdaemon is not started yet"
Observed on my real (i.e. not vm) PC: gnome-session starts, Empathy, Trackerd are loading and then the hard drive is completely possessed by ubuntuone-syncdaemon, with applet not displaying the Icon (in order to avoid the flickering, as the sources say). Then the applet pops up and says we are disconnected. So syncdaemon is started but not ready to service DBus requests.

P.S. Metadata profiling is discussed in bug #436612

description: updated
Changed in ubuntuone-client:
importance: Medium → Undecided
assignee: nobody → Ubuntu One Desktop+ team (uone-desktop)
tags: added: foundations+
Changed in ubuntuone-client:
assignee: Ubuntu One Desktop+ team (uone-desktop) → Ubuntu One Foundations+ team (uone-foundations)
dustigroove (dustigroove) wrote :

A workaround that did the trick for me is to create a basic script that I placed in 'Startup Applications' to launch the Ubuntu One applet, kill it, and then re-launch it. Ubuntu One then properly comes up in the state I chose in the applet preferences.

Not a fix, but helps until the bug is quashed.

Cheers!

Martin Sjöstrand (mitramai) wrote :

@Dustingroove

Could you please share the script? I would really like a solution to this, even if it is a temporary one...

Martin Sjöstrand (mitramai) wrote :

Well, stupid me. Didn't see the attachment:)

Changed in ubuntuone-client:
assignee: Ubuntu One Foundations+ team (ubuntuone-foundations+) → Ubuntu One Desktop+ team (ubuntuone-desktop+)
Roman Yepishev (rye) on 2010-02-17
tags: added: rye-diag
removed: rtg-mdbr
K. Deniz Ogut (kdenizogut) wrote :

Here is Ubuntu Karmic + ubuntuone-client 1.0.3-0ubuntu1
I'm also affected with this issue.
Some observations from my side:
* I use a laptop, connecting Net via both ethernet and wireless
* Most of the time those two type of connections work at the same time
* When I use wireless connection only, ubuntuone-client doesn't connect automatically
* When I use the ethernet connection only, it connects automatically
* When I use both connections at the same time, it doesn't connect automatically (as if its waiting for the wireless side and then give up, but doesn't choose the ethernet way at the very beginning)

Jonasty (jonashoekman) wrote :

I'm also using a laptop and I connect mostly via wireless (driver : ath5k)

Maybe this is only a bug for people who connect via wireless ?

ValentinV (valentinverde) wrote :

I`m connecting via Ethernet and the bug still affects me.

RavanH (ravanhagen) wrote :

Anyone using an alternative connection manager like Wicd instead of NetworkManager? Or does this also happen on a clean Ubuntu installation?

I found that a simple startup script by Patrick Ulbrich (on duplicate thread: https://bugs.launchpad.net/ubuntu/+source/ubuntuone-client/+bug/450082/comments/53) with content

#!/bin/bash
# wait for active internet connection
while [ "$(ifconfig | grep 192.168)" == "" ]; do
 sleep 5
done
ubuntuone-client-applet

works wonders when called from the startup apps list with "bash ~/.u1waitscript" (for example) :)

I suppose the script by Dustigroove on post #6 above that starts U1 client, kills it and starts it again works too?

K. Deniz Ogut (kdenizogut) wrote :

Edit to myself for comment #9:

I've said "When I use the ethernet connection only, it connects automatically", but this is not the case. Today, I can not connect automatically anymore via ethernet.

K. Deniz Ogut (kdenizogut) wrote :

In the last few days Ubuntu One client starts automatically after the boot, as it should do. Is there something done on the server side? Is it so just for me? What changed on my system before the behavior of Ubuntu One client fixed is a few updates from Ubuntu and some packages (most of them being dependency) installed by myself mainly related with apache-mysql and a server based spell check device.

List of the updated and newly installed packages is attached.

If the behavior of Ubuntu One client is fixed for all of you, or if someone knows that it is fixed because of some server side changes, then there's no need to work on my attachment but if it is just me with a newly fixed Ubuntu One client behavior, the attachment may be useful for the developers.

RavanH (ravanhagen) wrote :

No changes here... Wonder if there is anything in that list that influences this issue.

K. Deniz Ogut (kdenizogut) wrote :

So I am beginning to apt-get remove --purge all those packages group by group, except Ubuntu uptadates. (Assuming you also have them and so they don't have any affect. Besides I don't know how to restore Ubuntu system updates to previous situation.) Anyway I am beginning now, I hope we'llcatch the fish. I'll inform you.

papukaija (papukaija) wrote :

This bug is "fixed" in Lucid since there's no more an applet in the panel (it's now integrated to the MeMenu).

tags: added: karmic
Mario D. (spike-depillis) wrote :

Ubuntu 9.10
In addition to the above behavior, when I double clicked on the status icon it crashed.

papukaija (papukaija) wrote :

Please add the Ubuntu version specific tracker to this bug and mark it as confirmed in Karmic and fix released in Lucid.

papukaija (papukaija) wrote :

Should this bug be closed?

Dimitri John Ledkov (xnox) wrote :

Please set to fix released in newer milestone & won't fix in older milestone.

This is not Ubuntu Distribution bug so we can't add those target series here.

Alternativly just mark it as closed/won't fix as you see apppriate since the ubuntuone icon has been killed =)

Yes, I don't have an ubuntu one applet shown in gnome panel.

Thanks for this great functionnality

On 11/05/2010 12:35, papukaija wrote:
> Should this bug be closed?
>
>

papukaija (papukaija) wrote :

Bryce Harrington wrote on 2010-05-14: "Please note we also provide technical support for older versions of
Ubuntu, but not in the bug tracker." at https://bugs.launchpad.net/ubuntu/+bug/281454/comments/8

Therefore I am closing this bug (also there is no applet in Lucid anymore).

Changed in ubuntuone-client:
status: Confirmed → Invalid
To post a comment you must log in.